> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get gas prices for enabled chains

> This endpoint can be used to get the most recent gas prices for the enabled chains in the server.



## OpenAPI

````yaml get /v1/gas/prices
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/gas/prices:
    get:
      tags:
        - gas
      summary: Get gas prices for enabled chains
      description: >-
        This endpoint can be used to get the most recent gas prices for the
        enabled chains in the server.
      parameters:
        - name: x-lifi-api-key
          description: >-
            Authentication header, register in the LI.FI Partner Portal
            (https://portal.li.fi/ ) to get your API Key.
          schema:
            type: string
          in: header
      responses:
        '200':
          $ref: '#/components/responses/GasPricesResponse'
components:
  responses:
    GasPricesResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GasPrice'
      description: Gas Prices for the supplied chainID
  schemas:
    GasPrice:
      type: object
      properties:
        standard:
          type: number
        fast:
          type: number
        fastest:
          type: number
        lastUpdated:
          type: number

````